/*

Copyright (c) 2000-2012 Samsung Electronics Co., Ltd All Rights Reserved 
 
This file is part of Smartsearch
Written by Junghyun Kim <jh1114.kim@samsung.com>
 
PROPRIETARY/CONFIDENTIAL
 
This software is the confidential and proprietary information of 
SAMSUNG ELECTRONICS (Confidential Information). You shall not 
disclose such Confidential Information and shall use it only in 
accordance with the terms of the license agreement you entered 
into with SAMSUNG ELECTRONICS.  

SAMSUNG make no representations or warranties about the suitability 
of the software, either express or implied, including but not limited
to the implied warranties of merchantability, fitness for a particular
purpose, or non-infringement. SAMSUNG shall not be liable for any
damages suffered by licensee as a result of using, modifying or 
distributing this software or its derivatives.
 
*/

#define CHECK_VALIDATE_UTF8 0

int search_util_date_time_format_init(void *data);
void search_util_date_time_format_deinit();
void search_util_date_time_format_get_val(const struct tm *tm,
					  char *format_val);
void search_sql_make_keyword_bind_value(char *src, char *dest, int type);
void search_get_date_string(char *date_string);
const char *search_markup_keyword(const char *string, char *searchword,
				 bool *result);
char *search_get_main_window_name(void);
